WP6GeneralTextPacket Class Reference

`#include <WP6GeneralTextPacket.h>`

Inheritance diagram for WP6GeneralTextPacket:

## Public Member Functions

| WP6GeneralTextPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6GeneralTextPacket () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) const override
std::shared_ptr< WP6SubDocument > | getSubDocument () const override
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
unsigned | getDataSize () const

## Private Member Functions

| WP6GeneralTextPacket (const WP6GeneralTextPacket &)
WP6GeneralTextPacket & | operator= (const WP6GeneralTextPacket &)

## Private Attributes

std::shared_ptr< WP6SubDocument > | m_subDocument
std::vector< unsigned char > | m_streamData

## Additional Inherited Members

Static Public Member Functions inherited from WP6PrefixDataPacket
static std::shared_ptr< WP6PrefixDataPacket > | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const WP6PrefixIndice &prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## WP6GeneralTextPacket() [1/2]

WP6GeneralTextPacket::WP6GeneralTextPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize )

Referenced by operator=(), and WP6GeneralTextPacket().

## ~WP6GeneralTextPacket()

WP6GeneralTextPacket::~WP6GeneralTextPacket | ( |  | ) |

override

## WP6GeneralTextPacket() [2/2]

WP6GeneralTextPacket::WP6GeneralTextPacket | ( | const WP6GeneralTextPacket & |  | ) |

private

## Member Function Documentation

## _readContents()

void WP6GeneralTextPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Implements WP6PrefixDataPacket.

## getSubDocument()

std::shared_ptr< WP6SubDocument > WP6GeneralTextPacket::getSubDocument | ( |  | ) | const

inline override virtual

Reimplemented from WP6PrefixDataPacket.

## operator=()

WP6GeneralTextPacket & WP6GeneralTextPacket::operator= | ( | const WP6GeneralTextPacket & |  | ) |

private

## parse()

void WP6GeneralTextPacket::parse | ( | WP6Listener * | listener | ) | const

override virtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

## m_streamData

std::vector<unsigned char> WP6GeneralTextPacket::m_streamData

private

Referenced by _readContents(), and WP6GeneralTextPacket().

## m_subDocument

std::shared_ptr<WP6SubDocument> WP6GeneralTextPacket::m_subDocument

private

Referenced by _readContents(), getSubDocument(), parse(), and WP6GeneralTextPacket().

The documentation for this class was generated from the following files:

- WP6GeneralTextPacket.h
- WP6GeneralTextPacket.cpp